AuxiliaryDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface AuxiliaryDescriptor

- All Superinterfaces:
    EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject, PhysicalDescriptor
  All Known Implementing Classes:
    AuxiliaryDescriptorImpl

      public interface AuxiliaryDescriptor
      extends PhysicalDescriptor

  Specifies the description of an auxiliary file essence source. The type of data in the essence is given by a mime type. See the IANA register of media types.

  See Also:
    `SourcePackage.getEssenceDescriptor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuxiliaryDescriptor` | `clone()` Create a cloned copy of this auxiliary descriptor.
    `String` | `getCharSet()` Gets the registered character set used by the internal and external representation of the data as per RFC 2048.
    `String` | `getMIMEType()` Gets the registered mime type of the data in the auxiliary file as per RFC 2046 (MIME media types) and RFC 2048 (MIME registration prodcedures).
    `void` | `setCharSet(String charSet)` Sets the registered character set used by the internal and external representation of the data as per RFC 2048.
    `void` | `setMIMEType(String mimeType)` Sets the registered mime type of the data in the auxiliary file as per RFC 2046 and RFC 2048.

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setMIMEType

          void setMIMEType(@AAFString
                           String mimeType)
                    throws NullPointerException

      Sets the registered mime type of the data in the auxiliary file as per RFC 2046 and RFC 2048.

      Parameters:
        `mimeType` - Specifies the registered mimetype of the data in the auxiliary file.
      Throws:
        `NullPointerException` - The given mime type is `null`.

    - #### getMIMEType

          @AAFString
          String getMIMEType()

      Gets the registered mime type of the data in the auxiliary file as per RFC 2046 (MIME media types) and RFC 2048 (MIME registration prodcedures).

      Returns:
        The registered mimetype of the data in the auxiliary file.

    - #### setCharSet

          void setCharSet(@AAFString
                          String charSet)

      Sets the registered character set used by the internal and external representation of the data as per RFC 2048. See the IANA register of character sets. Example: `"ISO-8859-1"`. Set to `null` to omit this optional property.

      Parameters:
        `charSet` - Specifies the registered character set used by the internal and external representation of the data.

    - #### getCharSet

          @AAFString
          String getCharSet()
                                throws PropertyNotPresentException

      Gets the registered character set used by the internal and external representation of the data as per RFC 2048. See the IANA register of character sets. Example: `"ISO-8859-1"`. This is an optional property.

      Returns:
        The registered character set used by the internal and external representation of the data.
      Throws:
        `PropertyNotPresentException` - The optional character set is not present for this auxiliary descriptor.

    - #### clone

          AuxiliaryDescriptor clone()

      Create a cloned copy of this auxiliary descriptor.

      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `PhysicalDescriptor`
      Returns:
        Cloned copy of this auxiliary descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.